Void Redemption (Redemptions 1.0)

​

Voids a processed redemption. After a redemption is voided successfully, the offer tied to the redemption is returned to the guest's account.

Note: The Void Redemption API allows you to cancel a redemption without any time restrictions for most types of redemptions. However, for coupons and promos, redemptions can only be voided within 24 hours of the redemption process.

For information about voiding multiple redemptions, see this page.

Headers

  • This is a combination of unique API key as well as business key (UUID) as the Authorization header.

Body

application/json
  • Email address of the user acocunt from which you are voiding the redemption.

  • To be entered if the redemption ID is not being provided. If both redemption_id and redemption_code are provided, then only redemption_id will be processed. redemption_code must be used to void coupon and promo codes.

  • Redemption ID returned when the redemption is created.

  • Single scan code of the user is a required parameter when the user redeems a reward through the single scan flow. The code identifies the user requesting the redemption.

  • Transaction number sent at the time of redemption. Used only with promos and coupons.

  • Loyalty debit card number used by some businesses to locate the guest account.

  • Phone number of the user account from which you are voiding the redemption.

Responses

  • application/json
Request Example for delete/api/pos/redemptions
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/pos/redemptions \
  --request DELETE \
  --header 'Authorization: Token token=LOCATION_KEY_GOES_HERE, btoken=BUSINESS_KEY_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "test@example.com",
  "redemption_id": 717344
}'
{}